Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt
Class AuthenticationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.usermgmt.AuthenticationException

All Implemented Interfaces:
  Serializable

public class AuthenticationException
extends ApplicationException

Application exception class that will be thrown when a given username and password are not valid.

See Also:
  Serialized Form

Constructor Summary
`AuthenticationException()`
`AuthenticationException(String message)` Constructor
`AuthenticationException(String message, Throwable t)` Constructor
`AuthenticationException(Throwable t)` Constructor

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationException

    public AuthenticationException()

### AuthenticationException

    public AuthenticationException(String message)

  Constructor

Parameters:
  `message` - String representing the Exception message

### AuthenticationException

    public AuthenticationException(String message,
                                   Throwable t)

  Constructor

Parameters:
  `message` - String representing the Exception message
  `t` - Throwable object representing the wrapped or chained exception

### AuthenticationException

    public AuthenticationException(Throwable t)

  Constructor

Parameters:
  `t` - Throwable object representing the wrapped or chained exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved